/**
 * Copper Swapper -- goat tile swapper game
 *
 * Copyright (C) 2005 Atani Software
 *
 * This code is licensed under the GPL v2.
 *
 * highscoremenu.h -- Defines the highscore menu class
 */

#ifndef _HIGHSCORE_MENU_H_
#define _HIGHSCORE_MENU_H_
class HighScoreMenu : public GenericMenu
{
	public:
		HighScoreMenu();
		void update();
		virtual void inputEvent(const Event &evt);
		virtual void doMenu();

	private:
		Label	*m_columns[3];
		Label	*m_names[10];
		Label	*m_levels[10];
		Label	*m_scores[10];
		Banner	*m_bg[2];
};

#endif


